Go to the first, previous, next, last section, table of contents.

### `set_upkara`, `set_uptkara`, `set_upfft`

`set_upkara([threshold])`
`set_uptkara([threshold])`
`set_upfft([threshold])`
  :: Set thresholds in the selection of an algorithm from N^2, Karatsuba, FFT algorithms for univariate polynomial multiplication.

return
  value currently set
threshold
  non-negative integer

- These functions set thresholds in the selection of an algorithm from N^2, Karatsuba, FFT algorithms for univariate polynomial multiplication.
- Products of univariate polynomials are computed by N^2, Karatsuba, FFT algorithms. The algorithm selection is done according to the degrees of input polynomials and the thresholds.
- See the description of each function for details.

`References`
  section `kmul`, `ksquare`, `ktmul`, section `umul`, `umul_ff`, `usquare`, `usquare_ff`, `utmul`, `utmul_ff`.

Go to the first, previous, next, last section, table of contents.